<template>
    <div class="news-view modal">

        <div class="modal-body">
            <div v-if="!isLoading" class="loading">
                <spiner />
            </div>
            <div v-else>
                <div class="top">
                    <div class="title">
                        {{title}}
                    </div>
                    <div class="info">
                        <router-link class="back" :to="-1"><i class="far fa-window-close"></i></router-link>
                    </div>
                </div>
                <div class="main-part">
                    <div class="news">
                        <div class="image">
                            <img :src="image" alt="" />
                        </div>
                        <div class="text">
                            {{body}}
                        </div>

                        <div class="user" >

                            <div class="photo">
                                <img :src="user._links.avatar.href" alt="" />
                            </div>
                            <div class="info">
                                <router-link :to="`/author/${user.id}`" class="name">{{user.name}}</router-link>
                                <div class="contact">
                                    <div class="email">{{user.email}}</div>
                                    <div class="phone">{{user.phone}}</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    import axios from 'axios'
    import nCard from '../components/blog/NewsCard'
    import spiner from '../components/loading'
    import {mapActions,mapState,mapMutations} from 'vuex';

    export default {
        name: "news",
        components: {
            nCard,
            spiner,
        },
        data() {
            return {
                image: '/static/images/image.jpg',
            }
        },
        computed: {
            idPost() {
                return this.$route.params.id
            },
            ...mapState('news', {
                title: state => state.news.title,
                body: state => state.news.body,
                isLoading: state => state.news.loading,
                user: state => state.user,
            }),
        },
        methods: {
            ...mapActions('news', {
                getNews: 'INIT_NEWS',
            }),
        },
        beforeMount() {
            this.getNews( this.idPost );
        },
        beforeRouteLeave(to, from, next) {
            this.$store.commit('news/SET_POST_LOADING', false);
            next()
        }
    }
</script>

<style lang="scss" scoped>

    .modal {
        display: flex;
        align-items: center;
        justify-content: center;
        position: fixed;
        left: 0;
        top: 0;
        z-index: 99999;
        background: rgba(0,0,0,0.5);
        padding: 20px 50px;

        .modal-body {
            background: #fff;
            width: 100%;
            overflow: auto;
        }
    }
    .top {
        display: flex;
        justify-content: space-between;

        .title {
            font-size: 24px;
            font-weight: 900;
        }
        .back {
            font-size: 36px;
            display: block;
            margin-left: 20px;
            color: #cb1a31;
        }
    }


    .main-part {
        display: flex;

        .news {
            .image {
                text-align: center;
                float: left;
                margin: 0 10px 10px 0;
                width: 300px;

                img {
                    width: 100%;
                }
            }

            .text {

                &:after {
                    content: '';
                    display: block;
                    clear: both;
                }
            }

            .user {
                display: flex;
                margin-left: auto;
                align-items: center;
                justify-content: center;
                padding: 15px;
                background: #f1f1f1;

                .photo {
                    width: 100px;
                    height: 100px;
                    overflow: hidden;
                    border-radius: 50%;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    margin-right: 15px;

                    img {
                        width: 100%;
                        height: 100%;
                        object-fit: cover;
                    }
                }
                .info {
                    .name {
                        font-size: 18px;
                        font-weight: 600;
                        margin-bottom: 5px;
                    }
                }
            }
        }

        .right-side {
            min-width: 300px;
            max-width: 300px;
            margin-left: 30px;

            .interesting {
                padding: 15px;
                background: #f1f1f1;

                .titile {
                    font-size: 18px;
                    font-weight: 600;
                    margin-bottom: 15px;
                }
                .list-items {
                    display: block;

                    &:after {
                        content: '';
                        display: block;
                        clear: both;
                    }
                    .item-news {
                        width: 100%;
                        padding: 0;
                        margin-bottom: -10px;

                        &:last-child {
                            margin-bottom: -20px;
                        }
                    }
                }
            }

        }
    }

    .bottom {
        margin: 20px -20px -20px;
        background: #f1f1f1;
        padding: 30px 20px;

        .title {
            font-size: 18px;
            font-weight: 600;
            margin-bottom: 15px;
        }

        .list-news {
            margin: 0 -15px -20px;

            &:after {
                content: '';
                display: block;
                clear: both;
            }
        }


    }
</style>